Skip to main content
GET
/
v1
/
markets
/
perp
List perpetual markets
curl --request GET \
  --url https://api.trydocent.com/v1/markets/perp \
  --header 'Authorization: Bearer <token>'
[
  {
    "dex": "hyperliquid",
    "assets": [
      {
        "name": "BTC",
        "szDecimals": 123,
        "maxLeverage": 40,
        "isDelisted": true
      }
    ],
    "updatedAt": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.trydocent.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in the format dk_live_.... Pass as Authorization: Bearer dk_live_...

Response

200 - application/json

List of perpetual markets grouped by DEX

dex
string

DEX name

Example:

"hyperliquid"

assets
object[]
updatedAt
number

Unix timestamp of last metadata refresh